# Class FilterOutputStream

java.lang.Object
java.io.OutputStream
com.codename1.io.gzip.FilterOutputStream

All Implemented Interfaces:
  `java.io.Closeable, java.io.Flushable, AutoCloseable`

Direct Known Subclasses:
  `DeflaterOutputStream`

public class FilterOutputStream extends java.io.OutputStream
Dummy implementation of filter output stream

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected java.io.OutputStream`
  `out`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `FilterOutputStream(java.io.OutputStream underlying)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `void`
  `flush()`
  `void`
  `write(byte[] b)`
  `void`
  `write(byte[] b, int offset, int length)`
  `void`
  `write(int b)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### out

    protected java.io.OutputStream out

- ## Constructor Details

  - ### FilterOutputStream

    protected FilterOutputStream(java.io.OutputStream underlying)

- ## Method Details

  - ### write

    public void write(int b) throws java.io.IOException
    Specified by:
      `write` in class `java.io.OutputStream`
    Throws:
      `java.io.IOException`

  - ### write

    public void write(byte[] b) throws java.io.IOException
    Overrides:
      `write` in class `java.io.OutputStream`
    Throws:
      `java.io.IOException`

  - ### write

    public void write(byte[] b, int offset, int length) throws java.io.IOException
    Overrides:
      `write` in class `java.io.OutputStream`
    Throws:
      `java.io.IOException`

  - ### flush

    public void flush() throws java.io.IOException
    Specified by:
      `flush` in interface `java.io.Flushable`
    Overrides:
      `flush` in class `java.io.OutputStream`
    Throws:
      `java.io.IOException`

  - ### close

    public void close() throws java.io.IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `java.io.Closeable`
    Overrides:
      `close` in class `java.io.OutputStream`
    Throws:
      `java.io.IOException`